> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Review Rule Repository List

> Get review rule repository list, including rule groups and rules information under the repository



## OpenAPI

````yaml /docflow/en/rest-api/openapi.bundle.yaml get /api/app-api/sip/platform/v2/review/rule_repo/list
openapi: 3.0.0
info:
  title: DocFlow API
  description: >-
    DocFlow REST API, providing file upload and file processing result retrieval
    capabilities
  version: 2.8.4
servers:
  - url: https://docflow.textin.com
security:
  - ApiId: []
    SecretCode: []
paths:
  /api/app-api/sip/platform/v2/review/rule_repo/list:
    get:
      tags:
        - Intelligent Review
      summary: Get Review Rule Repository List
      description: >-
        Get review rule repository list, including rule groups and rules
        information under the repository
      operationId: listReviewRuleRepo
      parameters:
        - name: workspace_id
          in: query
          description: Workspace ID
          required: true
          schema:
            type: string
            example: '1234567890'
        - name: page
          in: query
          description: Page number
          required: false
          schema:
            type: integer
            default: 1
            example: 1
        - name: page_size
          in: query
          description: Page size
          required: false
          schema:
            type: integer
            example: 10
            default: 10
      responses:
        '200':
          description: Successfully retrieved review rule repository list
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
                  - type: object
                    properties:
                      result:
                        type: object
                        properties:
                          repos:
                            type: array
                            items:
                              $ref: '#/components/schemas/ReviewRuleRepo'
                          total:
                            type: integer
                            description: Total count
                            example: 100
                          page:
                            type: integer
                            description: Page number
                            example: 1
                          page_size:
                            type: integer
                            description: Page size
                            example: 10
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: Status code
          example: 200
        msg:
          type: string
          description: Status description
      required:
        - code
        - msg
    ReviewRuleRepo:
      type: object
      properties:
        repo_id:
          type: string
          description: Review rule repo ID
          example: '31415926'
        name:
          type: string
          description: Review rule repo name
          example: Review Rule Repo 1
        groups:
          description: List of rule groups under the rule repo
          type: array
          items:
            $ref: '#/components/schemas/ReviewRuleGroup'
        category_ids:
          type: array
          items:
            type: string
            description: Category ID
            example: '1234567890'
    ReviewRuleGroup:
      type: object
      properties:
        group_id:
          type: string
          description: Rule group ID
          example: '31415926'
        name:
          type: string
          description: Rule group name
          example: Review Rule Group 1
        rules:
          type: array
          items:
            $ref: '#/components/schemas/ReviewRule'
    ReviewRule:
      type: object
      properties:
        rule_id:
          type: string
          description: Rule ID
          example: '31415926'
        name:
          type: string
          description: Rule name
          example: Review Rule 1
        prompt:
          type: string
          description: Rule prompt
          example: Review rule prompt
        category_ids:
          type: array
          items:
            type: string
            description: Category ID
            example: '1234567890'
        risk_level:
          $ref: '#/components/schemas/RiskLevel'
        referenced_fields:
          type: array
          items:
            $ref: '#/components/schemas/ReviewRuleReferencedField'
    RiskLevel:
      type: integer
      description: |
        Risk level
        - 10: High risk
        - 20: Medium risk
        - 30: Low risk
      enum:
        - 10
        - 20
        - 30
    ReviewRuleReferencedField:
      type: object
      properties:
        category_id:
          type: string
          description: Category ID
          example: '1234567890'
        category_name:
          type: string
          description: Category name
          example: Invoice
        fields:
          type: array
          items:
            $ref: '#/components/schemas/ReviewRuleField'
        tables:
          type: array
          items:
            type: object
            properties:
              table_id:
                type: string
                description: Table ID
                example: '1234567890'
              table_name:
                type: string
                description: Table name
                example: Invoice Table
              fields:
                type: array
                items:
                  $ref: '#/components/schemas/ReviewRuleField'
    ReviewRuleField:
      type: object
      properties:
        field_id:
          type: string
          description: Field ID
          example: '1234567890'
        field_name:
          type: string
          description: Field name
          example: Invoice Code
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````